TaxonomyJob (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Class TaxonomyJob

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.TaxonomyJob

- All Implemented Interfaces:
    Serializable

      @Entity
      public class TaxonomyJob
      extends Object
      implements Serializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DATASOURCE_NAME`
    `protected String` | `dataSourceName`
    `protected String` | `descriptiveName`
    `protected long` | `endTime`
    `static String` | `ENDTIME`
    `static String` | `ID_FIELD`
    `protected int` | `internalId`
    `protected String` | `jobId`
    `static String` | `NAME`
    `protected String` | `rank`
    `static String` | `RANK`
    `protected String` | `scientificName`
    `static String` | `SCIENTIFICNAME`
    `protected long` | `startTime`
    `static String` | `STARTTIME`
    `protected String` | `state`
    `static String` | `STATE`
    `protected long` | `submitTime`
    `static String` | `SUBMITTIME`
    `protected String` | `taxonomyId`
    `static String` | `TAXONOMYID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyJob()`
    `TaxonomyJob(String id)`
    `TaxonomyJob(String jobId, String state, String descriptiveName, String scientificName, String dataSourceName, String rank, long startTime, long submitTime, long endTime, String taxonomyId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDataSourceName()`
    `String` | `getDescriptiveName()`
    `long` | `getEndTime()`
    `String` | `getId()`
    `String` | `getRank()`
    `String` | `getScientificName()`
    `long` | `getStartTime()`
    `String` | `getState()`
    `long` | `getSubmitTime()`
    `String` | `getTaxonomyId()`
    `void` | `setDescriptiveName(String descriptiveName)`
    `void` | `setEndTime(long endTime)`
    `void` | `setId(String id)`
    `void` | `setScientificName(String scientificName)`
    `void` | `setState(String state)`
    `void` | `setSubmitTime(long startTime)`
    `void` | `setTaxonomyId(String taxonomyId)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID_FIELD

          public static final String ID_FIELD

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### STARTTIME

          public static final String STARTTIME

      See Also:
        Constant Field Values

    - #### SUBMITTIME

          public static final String SUBMITTIME

      See Also:
        Constant Field Values

    - #### ENDTIME

          public static final String ENDTIME

      See Also:
        Constant Field Values

    - #### DATASOURCE_NAME

          public static final String DATASOURCE_NAME

      See Also:
        Constant Field Values

    - #### SCIENTIFICNAME

          public static final String SCIENTIFICNAME

      See Also:
        Constant Field Values

    - #### RANK

          public static final String RANK

      See Also:
        Constant Field Values

    - #### TAXONOMYID

          public static final String TAXONOMYID

      See Also:
        Constant Field Values

    - #### STATE

          public static final String STATE

      See Also:
        Constant Field Values

    - #### internalId

          protected int internalId

    - #### jobId

          protected String jobId

    - #### descriptiveName

          protected String descriptiveName

    - #### startTime

          protected long startTime

    - #### submitTime

          protected long submitTime

    - #### endTime

          protected long endTime

    - #### scientificName

          protected String scientificName

    - #### dataSourceName

          protected String dataSourceName

    - #### rank

          protected String rank

    - #### taxonomyId

          protected String taxonomyId

    - #### state

          protected String state

  - ### Constructor Detail

    - #### TaxonomyJob

          public TaxonomyJob()

    - #### TaxonomyJob

          public TaxonomyJob(String id)

    - #### TaxonomyJob

          public TaxonomyJob(String jobId,
                     String state,
                     String descriptiveName,
                     String scientificName,
                     String dataSourceName,
                     String rank,
                     long startTime,
                     long submitTime,
                     long endTime,
                     String taxonomyId)

      Parameters:
        `jobId` -
        `state` -
        `descriptiveName` -
        `scientificName` -
        `dataSourceName` -
        `rank` -
        `startTime` -
        `submitTime` -
        `endTime` -
        `taxonomyId` -

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getSubmitTime

          public long getSubmitTime()

    - #### setSubmitTime

          public void setSubmitTime(long startTime)

    - #### getEndTime

          public long getEndTime()

    - #### setEndTime

          public void setEndTime(long endTime)

    - #### getScientificName

          public String getScientificName()

    - #### setScientificName

          public void setScientificName(String scientificName)

    - #### getDescriptiveName

          public String getDescriptiveName()

    - #### setDescriptiveName

          public void setDescriptiveName(String descriptiveName)

    - #### getDataSourceName

          public String getDataSourceName()

    - #### getRank

          public String getRank()

    - #### getTaxonomyId

          public String getTaxonomyId()

    - #### setTaxonomyId

          public void setTaxonomyId(String taxonomyId)

    - #### getState

          public String getState()

    - #### setState

          public void setState(String state)

    - #### getStartTime

          public long getStartTime()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013. All Rights Reserved.